Update Tag
curl --request PATCH \
--url https://api.cyberdesk.io/v1/workflow-tags/{tag_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"emoji": "<string>",
"color": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_archived": true
}
'import requests
url = "https://api.cyberdesk.io/v1/workflow-tags/{tag_id}"
payload = {
"name": "<string>",
"description": "<string>",
"emoji": "<string>",
"color": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
emoji: '<string>',
color: '<string>',
group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_archived: true
})
};
fetch('https://api.cyberdesk.io/v1/workflow-tags/{tag_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"emoji": "<string>",
"color": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_archived": false,
"workflow_count": 123,
"group": {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"emoji": "<string>",
"color": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}workflow-tags
Update Tag
Update a workflow tag.
PATCH
/
v1
/
workflow-tags
/
{tag_id}
Update Tag
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
Body
application/json
Schema for updating a workflow tag
Required string length:
1 - 100Maximum string length:
500Maximum string length:
10Maximum string length:
20Optional group for mutual exclusivity
Archive tag to prevent new assignments
Response
Successful Response
Workflow tag response schema
Required string length:
1 - 100Maximum string length:
500Maximum string length:
10Maximum string length:
20Optional group for mutual exclusivity
Number of workflows with this tag (returned in list endpoint)
The group this tag belongs to
Show child attributes
Show child attributes
Was this page helpful?